package com.hammurapi.convert.tests;

import com.hammurapi.convert.AbstractReflectiveAtomicConvertersBundle;
import com.hammurapi.convert.Converter;
import com.hammurapi.convert.ConverterMethod;
import com.hammurapi.convert.tests.ConvertTests.SourceThree;
import com.hammurapi.convert.tests.ConvertTests.SourceTwo;
import com.hammurapi.convert.tests.ConvertTests.TargetOne;
import com.hammurapi.convert.tests.ConvertTests.TargetTwo;


public class SourceToTargetConverterBundle extends AbstractReflectiveAtomicConvertersBundle {

	@ConverterMethod
	public TargetOne s2_t1(SourceTwo s2) {
		return new TargetOne();
	}
	
	@ConverterMethod
	public TargetTwo s3_t2(SourceThree s3, Converter master) {
		return new TargetTwo();
	}
	
}
